Bug 1020096 - (python-blosc) Review Request: python-blosc - Python wrapper for the blosc high performance compressor
Review Request: python-blosc - Python wrapper for the blosc high performance ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: blosc
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 22:12 EDT by Thibault North
Modified: 2015-05-28 11:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-blosc-1.1-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:57:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thibault North 2013-10-16 22:12:14 EDT
Spec URL: http://tnorth.fedorapeople.org/rev/python-blosc-1.1-2.fc19.src.rpm
SRPM URL: http://tnorth.fedorapeople.org/rev/python-blosc.spec
Description: Python wrapper for the blosc high performance compressor
Fedora Account System Username: tnorth
Comment 1 Christopher Meng 2013-10-16 23:19:11 EDT
0.I think 

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup}

is the old style, please take a look at:

https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

1.http://blosc.org/ is its homepage.

2.I would suggest this style:

License:	MIT
URL:		https://github.com/FrancescAlted/python-blosc/wiki
Source0:	https://github.com/FrancescAlted/%{name}/archive/Release-%{version}.tar.gz

instead of yours:

Source0:	https://github.com/FrancescAlted/%{name}/archive/Release-1.1.tar.gz
License:	MIT
URL:		https://github.com/FrancescAlted/python-blosc/wiki

BTW can you ask upstream to release in %{name}-%{version} style tarball name? Or you can use PYPI:

https://pypi.python.org/pypi/blosc

to get the tarball.

3.BuildRequires:	python-devel blosc-devel
Requires:	blosc%{?_isa}

Should be:

BuildRequires:	python2-devel python-setuptools blosc-devel

No explicit Requires:	blosc%{?_isa} unless RPM can't find it.

4.%build
python setup.py build 

-->

%{__python2} setup.py build


5.%install
rm -rf %{buildroot}

python setup.py install -O1 --skip-build  --root=%{buildroot}

-->

%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}

6.I don't agree with shipping  VERSION file as %doc, nonsense.

7.%{python_sitearch}

-->

%{python2_sitearch}



----------

Above comments are generated before fedora-review, please modify and submit a new version, then let's run the review.
Comment 2 Christopher Meng 2013-10-16 23:20:17 EDT
Sorry, typo.

Its URL is:

http://blosc.pydata.org

OR

https://github.com/FrancescAlted/python-blosc

as described on its github page.
Comment 3 Christopher Meng 2013-10-17 02:28:32 EDT
Another note is that filtering out python sitearch libs is not required from Fedora 20, you don't need to do this anymore.

I suggest that you should remove this in master branch in SCM, but leave it in f19-/EPEL.
Comment 4 Thibault North 2013-10-18 20:02:28 EDT
Thanks for your comments. It's been a long time since the last review request, so I am not that up to date anymore.

(In reply to Christopher Meng from comment #1)
> 0.I think 
> 
> %{?filter_setup:
> %filter_provides_in %{python_sitearch}/.*\.so$
> %filter_setup}
> 
> is the old style, please take a look at:
> 
> https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

Is that a proper fix?
%global __provides_filter_from ^%{python_sitearch}/.*\.so$

> 1.http://blosc.org/ is its homepage.

Fixed.

> 2.I would suggest this style:
> 
> License:	MIT
> URL:		https://github.com/FrancescAlted/python-blosc/wiki
> Source0:
> https://github.com/FrancescAlted/%{name}/archive/Release-%{version}.tar.gz
> [...]
> BTW can you ask upstream to release in %{name}-%{version} style tarball

I chose the pypi source. Unfortunately, there is no docs in that package. Is that still OK ?

> BTW can you ask upstream to release in %{name}-%{version} style tarball
> name? Or you can use PYPI:

Yes, will do.

Items 3-7 are also fixed.

RPMlint output:
rpmlint -v SRPMS/python-blosc-1.1-3.fc19.src.rpm RPMS/x86_64/python-blosc-1.1-3.fc19.x86_64.rpm RPMS/x86_64/python-blosc-debuginfo-1.1-3.fc19.x86_64.rpm SPECS/python-blosc.spec
python-blosc.src: I: checking
python-blosc.src: I: checking-url https://github.com/FrancescAlted/python-blosc (timeout 10 seconds)
python-blosc.src: I: checking-url https://pypi.python.org/packages/source/b/blosc/blosc-1.1.tar.gz (timeout 10 seconds)
python-blosc.x86_64: I: checking
python-blosc.x86_64: I: checking-url https://github.com/FrancescAlted/python-blosc (timeout 10 seconds)
python-blosc.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/blosc/blosc_extension.so blosc_extension.so()(64bit)
python-blosc.x86_64: W: no-documentation
python-blosc-debuginfo.x86_64: I: checking
python-blosc-debuginfo.x86_64: I: checking-url https://github.com/FrancescAlted/python-blosc (timeout 10 seconds)
/home/tnorth/rpmbuild/SPECS/python-blosc.spec: I: checking-url https://pypi.python.org/packages/source/b/blosc/blosc-1.1.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

Updated packages:
Spec URL: http://tnorth.fedorapeople.org/rev/python-blosc-1.1-3.fc19.src.rpm
SRPM URL: http://tnorth.fedorapeople.org/rev/python-blosc.spec

This package depends on blosc, which is also under review, see BZ#1020088
Comment 5 Christopher Meng 2013-10-19 11:15:36 EDT
DO NOT CHANGE THE BUG STATUS IF YOU DON'T KNOW.

Will review later.
Comment 6 Thibault North 2013-10-19 14:09:27 EDT
(In reply to Christopher Meng from comment #5)
> DO NOT CHANGE THE BUG STATUS IF YOU DON'T KNOW.
> 
> Will review later.

Hey, I didn't want to change that ?! No clue how it happend... sorry for that.
Comment 7 Christopher Meng 2013-11-04 00:04:58 EST
I'm not sure if it's the problem of mirrors, but mock can't find blosc now with Error: No Package found for blosc-devel although it's already imported.

I will re run the review later, please wait.

Thanks.
Comment 8 Christopher Meng 2013-11-05 05:09:10 EST
Just clean the cache dir of mock and now it works.


Package Review(with cut)
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required


Rpmlint
-------
Checking: python-blosc-1.1-3.fc21.i686.rpm
          python-blosc-1.1-3.fc21.src.rpm
python-blosc.i686: W: no-documentation
python-blosc.i686: E: non-standard-executable-perm /usr/lib/python2.7/site-packages/blosc/blosc_extension.so 0775L
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-blosc
python-blosc.i686: W: no-documentation
python-blosc.i686: E: non-standard-executable-perm /usr/lib/python2.7/site-packages/blosc/blosc_extension.so 0775L
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-blosc (rpmlib, GLIBC filtered):
    libc.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-blosc:
    python-blosc
    python-blosc(x86-32)



Unversioned so-files
--------------------
python-blosc: /usr/lib/python2.7/site-packages/blosc/blosc_extension.so

Source checksums
----------------
https://pypi.python.org/packages/source/b/blosc/blosc-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3f521bd2711e259ca8bb85c6bb15085cec75545346935712654f45c48e45e1be
  CHECKSUM(SHA256) upstream package : 3f521bd2711e259ca8bb85c6bb15085cec75545346935712654f45c48e45e1be


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn python-blosc-1.1-3.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

====================


Please fix the wrong perms issue.

And can you find some docs available for packaging?(optional)

Nearly approved.
Comment 9 Thibault North 2013-11-05 08:33:03 EST
(In reply to Christopher Meng from comment #8)
> [snap]
> Issues:
> =======
> - Permissions on files are set properly.
>   Note: See rpmlint output
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> [snap]
> Rpmlint
> -------
> Checking: python-blosc-1.1-3.fc21.i686.rpm
>           python-blosc-1.1-3.fc21.src.rpm
> python-blosc.i686: W: no-documentation
> python-blosc.i686: E: non-standard-executable-perm
> /usr/lib/python2.7/site-packages/blosc/blosc_extension.so 0775L
> 2 packages and 0 specfiles checked; 1 errors, 1 warnings.

I don't get that on F19. If the permissions are changed to 0644, the .so file is not stripped (this generates a warning, unstripped-binary-or-object) and the debuginfo package is empty.
It looks like .so files in /usr/lib/python2.7/site-packages/ also are 0755.

By the way, I feel uncomfortable with the __provides_filter_from thing. I get a private-shared-object-provides on this lib.

 
> And can you find some docs available for packaging?(optional)

Not right now, but I will consider writing some since I am a user of this package.
Thanks,
Comment 10 Christopher Meng 2013-11-05 08:48:24 EST
(In reply to Thibault North from comment #9)
> > /usr/lib/python2.7/site-packages/blosc/blosc_extension.so 0775L

> It looks like .so files in /usr/lib/python2.7/site-packages/ also are 0755.

Read again...
Comment 11 Thibault North 2013-11-05 09:07:59 EST
(In reply to Christopher Meng from comment #10)
> (In reply to Thibault North from comment #9)
> > > /usr/lib/python2.7/site-packages/blosc/blosc_extension.so 0775L
> 
> > It looks like .so files in /usr/lib/python2.7/site-packages/ also are 0775.
> 
> Read again...

Excuse me, but this kind of comment is not helpful (nor kind). How much does it cost to write 755 != 775 instead and save time to everyone?

Also, it would be nice if you could comment on the private-shared-object-provides thing. Thank you.

SRPM URL: http://tnorth.fedorapeople.org/rev/python-blosc-1.1-4.fc19.src.rpm
SPEC URL: http://tnorth.fedorapeople.org/rev/python-blosc.spec
Comment 12 Christopher Meng 2013-11-05 09:43:33 EST
(In reply to Thibault North from comment #11)
> Excuse me, but this kind of comment is not helpful (nor kind). How much does
> it cost to write 755 != 775 instead and save time to everyone?

It seems that I'm the people who didn't read carefully...

> Also, it would be nice if you could comment on the
> private-shared-object-provides thing. Thank you.

Rebuild with commented filter line on rawhide, fedora-review is quiet.

So from F20 we don't need this anymore, but lower than f20 should have this line.

------------

PACKAGE APPROVED.

One suggestion:

Between BR and Source tag it has 2 blank lines, you can drop them.
Comment 13 Thibault North 2013-11-05 10:06:39 EST
(In reply to Christopher Meng from comment #12)
> Rebuild with commented filter line on rawhide, fedora-review is quiet.
> 
> So from F20 we don't need this anymore, but lower than f20 should have this
> line.

Ok, thank you very much.

> One suggestion:
> 
> Between BR and Source tag it has 2 blank lines, you can drop them.

Done. Thanks for the review.

SRPM URL: http://tnorth.fedorapeople.org/rev/python-blosc-1.1-5.fc19.src.rpm
SPEC URL: http://tnorth.fedorapeople.org/rev/python-blosc.spec
Comment 14 Thibault North 2013-11-05 10:09:29 EST
New Package SCM Request
=======================
Package Name: python-blosc
Short Description: Python wrapper for the blosc high performance compressor
Owners: tnorth zbyszek
Branches: f19 f20 el6
Comment 15 Gwyn Ciesla 2013-11-05 10:23:22 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-11-10 10:48:47 EST
python-blosc-1.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-blosc-1.1-7.fc20
Comment 17 Fedora Update System 2013-11-10 21:25:38 EST
python-blosc-1.1-7.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-12-13 21:57:42 EST
python-blosc-1.1-7.fc20 has been pushed to the Fedora 20 stable repository.
Comment 19 Zbigniew Jędrzejewski-Szmek 2015-05-28 10:29:45 EDT
Package Change Request
======================
Package Name: python-blosc
New Branches: epel7
Owners: zbyszek tnorth
InitialCC:
Comment 20 Gwyn Ciesla 2015-05-28 11:27:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.